Subject: Re: gitweb on kernel.org broken

From: Kay Sievers <[email-masked]>
Date: Mon, 16 Jan 2006 20:05:56 +0100

On Mon, Jan 16, 2006 at 07:53:42PM +0100, Kay Sievers wrote:
> On Mon, Jan 16, 2006 at 10:44:35AM -0800, H. Peter Anvin wrote:
> > It seems that gitweb throws an error every time.  This means that 
> > nothing gets cached, and therefore the load on the kernel.org machines 
> > is driven into the high double digits:
> > 
> > [Mon Jan 16 10:42:01 2006] [error] [client 82.181.110.11] [Mon Jan 16 
> > 10:42:01 2006] index.cgi: Use of uninitialized value in scalar 
> > assignment at /home/httpd/html/git/index.cgi line 411.
> > [Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] fatal: Not a 
> > git repository: '/pub/scm/linux/hotplug/hotplug-ng.git'
> > [Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] [Mon Jan 16 
> > 10:42:03 2006] index.cgi: Use of uninitialized value in scalar chomp at 
> > /home/httpd/html/git/index.cgi line 406.
> > [Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] [Mon Jan 16 
> > 10:42:03 2006] index.cgi: Use of uninitialized value in pattern match 
> > (m//) at /home/httpd/html/git/index.cgi line 407.
> > 
> > This is all very bad...
> 
> Junio, seems your "textual symref HEAD" change is causing this?
>   http://www.kernel.org/git/?p=git/gitweb.git;a=blob;hb=HEAD;f=gitweb.cgi#l399

I've comment "strict" and "warnings" out, until it's fixed proper.

Kay